Subject: Re: [PATCH] git-send-email: add ~/.authinfo parsing

From: Ted Zlatanov <[email-masked]>
Date: Mon, 04 Feb 2013 12:00:34 -0500

On Mon, 04 Feb 2013 17:33:58 +0100 Michal Nazarewicz <[email-masked]> wrote: 

MN> As far as I understand, there could be a git-credential helper that
MN> reads ~/.authinfo and than git-send-email would just call “git
MN> credential fill”, right?

MN> I've noticed though, that git-credential does not support port argument,
MN> which makes it slightly incompatible with ~/.authinfo.

My proposed netrc credential helper does this :)

The token mapping I use:

port, protocol        => protocol
machine, host         => host
path                  => path
login, username, user => username
password              => password

I think that's sensible.

Ted